libzypp: zypp::target::SendSingleTransReport Struct Reference

libzypp 17.38.14

zypp::target::SendSingleTransReport Struct Reference

Convenience SendReport<rpm::SingleTransReport> wrapper. More...

Inheritance diagram for zypp::target::SendSingleTransReport:

## Public Member Functions
void | sendLogline (const std::string &line_r, ReportType::loglevel level_r=ReportType::loglevel::msg)
| Convenience to send a contentLogline.
void | sendLoglineRpm (const std::string &line_r, unsigned rpmlevel_r)
| Convenience to send a contentLogline translating a rpm loglevel.
Public Member Functions inherited from zypp::callback::SendReport< rpm::SingleTransReport >
| SendReport ()
| ~SendReport ()
Distributor & | operator-> ()

## Private Member Functions
void | report (const callback::UserData &userData_r)

## Additional Inherited Members
Public Types inherited from zypp::callback::SendReport< rpm::SingleTransReport >
typedef rpm::SingleTransReport | ReportType
typedef ReceiveReport< rpm::SingleTransReport > | Receiver
typedef DistributeReport< rpm::SingleTransReport > | Distributor
Static Public Member Functions inherited from zypp::callback::SendReport< rpm::SingleTransReport >
static Receiver * | whoIsConnected ()
static bool | connected ()

## Detailed Description

Convenience SendReport<rpm::SingleTransReport> wrapper.

Provide convenience methods to invoke a generic report supplied with the proper UserData and ContentType,

Definition at line 2040 of file TargetImpl.cc.

## Member Function Documentation

## ◆ sendLogline()

void zypp::target::SendSingleTransReport::sendLogline | ( | const std::string & | line_r,
|  | ReportType::loglevel | level_r = ReportType::loglevel::msg )
| inline

Convenience to send a contentLogline.

Definition at line 2043 of file TargetImpl.cc.

## ◆ sendLoglineRpm()

void zypp::target::SendSingleTransReport::sendLoglineRpm | ( | const std::string & | line_r,
|  | unsigned | rpmlevel_r )
| inline

Convenience to send a contentLogline translating a rpm loglevel.

Definition at line 2051 of file TargetImpl.cc.

## ◆ report()

void zypp::target::SendSingleTransReport::report | ( | const callback::UserData & | userData_r | ) |
| inlineprivate

Definition at line 2075 of file TargetImpl.cc.

The documentation for this struct was generated from the following file:

- zypp/target/TargetImpl.cc